summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tl-update-install-pkg
diff options
context:
space:
mode:
Diffstat (limited to 'Master/tlpkg/bin/tl-update-install-pkg')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-install-pkg5
1 files changed, 3 insertions, 2 deletions
diff --git a/Master/tlpkg/bin/tl-update-install-pkg b/Master/tlpkg/bin/tl-update-install-pkg
index d66c6f48325..0591a383dad 100755
--- a/Master/tlpkg/bin/tl-update-install-pkg
+++ b/Master/tlpkg/bin/tl-update-install-pkg
@@ -31,7 +31,7 @@ $Getopt::Long::autoabbrev=0;
use TeXLive::TLPDB;
use TeXLive::TLPOBJ;
-use TeXLive::TLUtils qw(:DEFAULT mkdirhier copy get_system_tmpdir);
+use TeXLive::TLUtils qw(:DEFAULT mkdirhier copy);
use TeXLive::TLConfig;
$opt_help = 0;
@@ -73,7 +73,8 @@ usage if $opt_help;
die "$0: extra argument(s) @ARGV; try --help if you need it.\n" if @ARGV;
# determine directories.
-my $sys_tmp = get_system_tmpdir() || die ("no system TMPDIR found");
+my $sys_tmp = TeXLive::TLUtils::initialize_global_tmpdir()
+ || die ("cannot get temporary directory");
# top directory we will generate the install pkgs in.
my $tmpdir = "$sys_tmp/install-tl-$$";